﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightClient
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            WCFService.Service1Client proxy = new WCFService.Service1Client();
            proxy.GetDataCompleted += new EventHandler<WCFService.GetDataCompletedEventArgs>(proxy_GetDataCompleted);
            proxy.GetDataAsync(1);
        }

        void proxy_GetDataCompleted(object sender, WCFService.GetDataCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                MessageBox.Show(e.Result);
            }
        }
    }
}
